## org.metaabm.function.validation
Interface FArgumentPrototypeValidator

    public interface FArgumentPrototypeValidator

A sample validator interface for `FArgumentPrototype`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Method Summary
`boolean` `validate()`
`boolean` `validateInputFunction(FFunction value)`
`boolean` `validateOptional(boolean value)`
`boolean` `validateOutputFunction(FGenericFunction value)`

Method Detail

### validate

    boolean validate()

### validateInputFunction

    boolean validateInputFunction(FFunction value)

### validateOutputFunction

    boolean validateOutputFunction(FGenericFunction value)

### validateOptional

    boolean validateOptional(boolean value)